<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Boucle saisie</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br>");
 // --- on récupère les données ---
 $saisie=$_POST['saisie'] ;
 $i=0;
 // --- on traite les données ---
  while ($i < strlen($saisie))
  {
    $caract=$saisie[$i++];
    echo 'Caract&egrave;re lu : '.$caract.' => Code ascii='.ord($caract).WEB_EOL;
  }
 ?>
 </body>
</html>
